#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_dcal.ps
projection=-JM16.0c+
region=-R-80.8/-73.9/15.8/20.3
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration jamaica2.22' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut @earth_relief_01m_g -Gmloc.grd $region
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia/blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.178   -76.553
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.231   -76.596
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.231   -76.596
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.098   -76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.098   -76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.098   -76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.098   -76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.098   -76.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    17.943   -78.018
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    17.943   -78.018
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    17.943   -78.018
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    17.943   -78.018
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.181   -76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.181   -76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.181   -76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.181   -76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.181   -76.650
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.185   -76.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.185   -76.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.185   -76.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.185   -76.695
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.331   -77.669
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.993   -76.577
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.892   -76.493
    18.257   -77.435
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    18.039   -78.211
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.039   -78.211
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.039   -78.211
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.892   -76.493
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.136   -76.373
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.064   -76.823
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.892   -76.493
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.136   -76.373
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.070   -76.698
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    17.846   -77.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.846   -77.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.846   -77.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    17.846   -77.849
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.251   -78.330
    17.703   -78.803
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.403   -77.863
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.251   -78.330
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.098   -77.970
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.251   -78.330
    18.104   -78.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.104   -78.207
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.136   -76.373
    18.049   -75.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.049   -75.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.049   -75.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.049   -75.901
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.383   -77.267
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.892   -76.493
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.136   -76.373
    18.101   -77.353
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.066   -76.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.066   -76.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.066   -76.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.066   -76.679
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.104   -76.960
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.062   -76.637
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.094   -76.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.094   -76.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.094   -76.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.094   -76.713
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.216   -77.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.216   -77.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.216   -77.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.216   -77.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.216   -77.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.216   -77.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.216   -77.053
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.123   -76.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.077   -77.703
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.044   -77.522
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.125   -77.415
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.137   -76.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    17.791   -77.327
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.269   -76.862
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.118   -77.448
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.137   -77.411
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.218   -77.763
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.925   -77.687
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.099   -77.269
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.360   -76.545
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    17.852   -76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    17.852   -76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    17.852   -76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    17.852   -76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    17.852   -76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    17.852   -76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    17.852   -76.552
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.184   -77.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.184   -77.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.184   -77.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.184   -77.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.184   -77.792
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.445   -77.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.445   -77.654
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.124   -76.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.124   -76.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.124   -76.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.124   -76.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.321   -76.951
    18.124   -76.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.124   -76.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.124   -76.991
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.112   -76.696
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.112   -76.696
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.112   -76.696
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.112   -76.696
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.112   -76.696
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.112   -76.696
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.105   -76.631
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.127   -76.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.127   -76.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.127   -76.622
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.074   -76.728
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.077   -76.809
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.005   -76.749
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    17.741   -77.157
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.107   -76.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.148   -76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.148   -76.642
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    18.226   -77.535
    18.123   -76.820
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    18.005   -76.749     0.300
    18.074   -76.728     0.300
    18.077   -76.809     0.300
    18.383   -77.267     0.300
    18.403   -77.863     0.300
    17.741   -77.157     0.300
    18.226   -77.535     0.300
    17.925   -77.687     0.300
    18.321   -76.951     0.300
    17.892   -76.493     0.300
    18.136   -76.373     0.300
    18.226   -77.535     0.300
    18.251   -78.330     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.698   -78.791     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.178   -76.553     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.231   -76.596     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.098   -76.677     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.696   -78.814     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.943   -78.018     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.181   -76.650     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.185   -76.695     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.331   -77.669     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.993   -76.577     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.257   -77.435     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.039   -78.211     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.064   -76.823     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.070   -76.698     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.846   -77.849     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.703   -78.803     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.098   -77.970     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.104   -78.207     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.049   -75.901     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.101   -77.353     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.066   -76.679     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.104   -76.960     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.062   -76.637     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.094   -76.713     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.216   -77.053     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.123   -76.740     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.077   -77.703     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.044   -77.522     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.125   -77.415     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.137   -76.683     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.791   -77.327     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.269   -76.862     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.118   -77.448     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.137   -77.411     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.218   -77.763     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.099   -77.269     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.360   -76.545     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    17.852   -76.552     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.184   -77.792     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.445   -77.654     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.124   -76.991     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.112   -76.696     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.105   -76.631     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.127   -76.622     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.107   -76.614     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.148   -76.642     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    18.123   -76.820     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    18.090   -77.192     0.000   222.000   222.000
    18.090   -77.192     0.000   444.000   444.000
END
