#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_19770524.0229.26.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 19770524.0229.26              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     5.153     0.100
     5.943     0.200
     7.040     0.300
     8.298     0.400
     9.632     0.500
    11.001     0.600
    12.389     0.700
    13.786     0.800
    15.190     0.900
    16.597     1.000
    18.008     1.100
    19.420     1.200
    20.833     1.300
    22.248     1.400
    23.663     1.500
    25.079     1.600
    26.495     1.700
    27.912     1.800
    29.329     1.900
    30.746     2.000
    32.164     2.100
    33.581     2.200
    34.999     2.300
    36.417     2.400
    37.835     2.500
    39.253     2.600
    40.672     2.700
    42.090     2.800
    43.508     2.900
    44.927     3.000
    46.345     3.100
    47.763     3.200
    49.182     3.300
    50.600     3.400
    52.019     3.500
    53.437     3.600
    54.855     3.700
    56.274     3.800
    57.692     3.900
    59.110     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.437     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     8.937     0.100
    10.307     0.200
    12.214     0.300
    14.401     0.400
    16.721     0.500
    19.104     0.600
    21.518     0.700
    23.951     0.800
    26.394     0.900
    28.844     1.000
    31.299     1.100
    33.757     1.200
    36.218     1.300
    38.680     1.400
    41.143     1.500
    43.608     1.600
    46.073     1.700
    48.540     1.800
    51.006     1.900
    53.474     2.000
    55.941     2.100
    58.409     2.200
    60.877     2.300
    63.345     2.400
    65.813     2.500
    68.282     2.600
    70.751     2.700
    73.219     2.800
    75.688     2.900
    78.157     3.000
    80.626     3.100
    83.095     3.200
    85.563     3.300
    88.032     3.400
    90.500     3.500
    92.969     3.600
    95.438     3.700
    97.906     3.800
   100.375     3.900
   102.843     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    90.969     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
    55.162     3.715     0.200
   150.162    10.531     0.200
   166.362    11.749     0.200
   165.262    11.817     0.200
   168.162    11.943     0.200
   195.162    13.793     0.200
   252.362    18.248     0.200
   258.162    18.788     0.200
   258.362    18.816     0.200
   267.062    19.492     0.200
   269.762    19.764     0.200
   279.962    20.676     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
