#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_19881112.0334.49.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 19881112.0334.49              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     4.043     0.100
     5.185     0.200
     6.579     0.300
     7.997     0.400
     9.417     0.500
    10.838     0.600
    12.258     0.700
    13.679     0.800
    15.100     0.900
    16.521     1.000
    17.942     1.100
    19.362     1.200
    20.783     1.300
    22.204     1.400
    23.624     1.500
    25.045     1.600
    26.466     1.700
    27.886     1.800
    29.307     1.900
    30.727     2.000
    32.148     2.100
    33.569     2.200
    34.989     2.300
    36.410     2.400
    37.831     2.500
    39.251     2.600
    40.672     2.700
    42.092     2.800
    43.513     2.900
    44.934     3.000
    46.354     3.100
    47.775     3.200
    49.196     3.300
    50.616     3.400
    52.037     3.500
    53.458     3.600
    54.878     3.700
    56.298     3.800
    57.718     3.900
    59.138     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.458     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     7.001     0.100
     8.981     0.200
    11.405     0.300
    13.873     0.400
    16.346     0.500
    18.819     0.600
    21.292     0.700
    23.766     0.800
    26.239     0.900
    28.713     1.000
    33.660     1.200
    36.134     1.300
    38.607     1.400
    41.080     1.500
    43.554     1.600
    46.027     1.700
    48.500     1.800
    50.973     1.900
    53.447     2.000
    55.920     2.100
    58.393     2.200
    60.867     2.300
    63.340     2.400
    65.813     2.500
    68.286     2.600
    70.760     2.700
    73.233     2.800
    75.706     2.900
    78.179     3.000
    80.653     3.100
    83.126     3.200
    85.599     3.300
    88.072     3.400
    90.545     3.500
    93.017     3.600
    95.489     3.700
    97.961     3.800
   100.432     3.900
   102.904     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    91.017     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
     6.819     0.268     0.200
   129.719     9.011     0.200
   127.819     9.043     0.200
   135.719     9.627     0.200
   139.819     9.627     0.200
   140.619     9.918     0.200
   141.419     9.930     0.200
   146.819    10.191     0.200
   154.119    10.848     0.200
   154.719    10.932     0.200
   157.719    10.964     0.200
   158.719    11.075     0.200
   160.719    11.114     0.200
   166.619    11.610     0.200
   169.219    11.729     0.200
   177.619    12.106     0.200
   171.119    12.159     0.200
   173.119    12.219     0.200
   176.919    12.517     0.200
   188.619    12.986     0.200
   185.949    13.230     0.200
   191.119    13.425     0.200
   188.489    13.411     0.200
   199.619    13.749     0.200
   194.369    13.802     0.200
   196.850    14.100     0.200
   197.229    14.113     0.200
   199.619    14.425     0.200
   206.619    14.725     0.200
   207.619    14.961     0.200
   226.719    16.519     0.200
   229.619    16.610     0.200
   228.919    16.608     0.200
   257.419    18.633     0.200
   263.619    19.226     0.200
   268.119    19.554     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
    12.219     0.268     0.200
   270.319    10.932     0.200
   328.419    13.425     0.200
   344.619    13.749     0.200
   411.619    16.523     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
