#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20110516.1507.07.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20110516.1507.07              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     5.509     0.100
     6.231     0.200
     7.259     0.300
     8.462     0.400
     9.757     0.500
    11.100     0.600
    12.470     0.700
    13.854     0.800
    15.248     0.900
    16.648     1.000
    18.052     1.100
    19.459     1.200
    20.868     1.300
    22.279     1.400
    23.691     1.500
    25.105     1.600
    26.518     1.700
    27.933     1.800
    29.348     1.900
    30.764     2.000
    32.180     2.100
    33.596     2.200
    35.012     2.300
    36.429     2.400
    37.846     2.500
    39.263     2.600
    40.680     2.700
    42.097     2.800
    43.515     2.900
    44.932     3.000
    46.350     3.100
    47.767     3.200
    49.185     3.300
    50.602     3.400
    52.020     3.500
    53.438     3.600
    54.856     3.700
    56.273     3.800
    57.691     3.900
    59.109     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.438     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     9.555     0.100
    10.810     0.200
    12.597     0.300
    14.687     0.400
    16.940     0.500
    19.277     0.600
    21.660     0.700
    24.070     0.800
    26.495     0.900
    28.932     1.000
    31.376     1.100
    33.825     1.200
    36.278     1.300
    38.734     1.400
    41.192     1.500
    43.652     1.600
    46.113     1.700
    48.575     1.800
    51.038     1.900
    53.502     2.000
    55.967     2.100
    58.432     2.200
    60.897     2.300
    63.364     2.400
    65.830     2.500
    68.296     2.600
    70.763     2.700
    73.230     2.800
    75.697     2.900
    78.164     3.000
    80.631     3.100
    83.098     3.200
    85.565     3.300
    88.033     3.400
    90.501     3.500
    92.968     3.600
    95.435     3.700
    97.902     3.800
   100.369     3.900
   102.836     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    90.968     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
     5.355     0.173     0.200
    10.043     0.482     0.200
     9.906     0.482     0.200
    17.516     0.976     0.200
    17.664     1.016     0.200
    22.625     1.292     0.200
    48.844     3.318     0.200
    80.336     5.319     0.200
    91.574     6.331     0.200
   103.703     7.144     0.200
   104.426     7.303     0.200
   119.016     8.315     0.200
   116.066     8.329     0.200
   123.164     8.841     0.200
   128.066     9.168     0.200
   129.766     9.259     0.200
   140.445     9.815     0.200
   143.051    10.142     0.200
   145.766    10.190     0.200
   149.555    10.517     0.200
   149.164    10.735     0.200
   150.555    10.728     0.200
   153.516    10.880     0.200
   156.344    11.202     0.200
   157.465    11.206     0.200
   159.613    11.336     0.200
   161.133    11.415     0.200
   160.805    11.422     0.200
   161.434    11.410     0.200
   163.133    11.586     0.200
   164.035    11.705     0.200
   166.523    11.744     0.200
   170.484    12.076     0.200
   178.363    12.462     0.200
   181.234    12.760     0.200
   182.363    12.773     0.200
   191.293    13.360     0.200
   190.055    13.409     0.200
   198.523    14.242     0.200
   201.664    14.500     0.200
   202.176    14.500     0.200
   210.074    14.978     0.200
   226.363    16.271     0.200
   225.375    16.301     0.200
   228.590    16.603     0.200
   231.422    16.743     0.200
   238.043    17.219     0.200
   239.797    17.369     0.200
   241.152    17.498     0.200
   241.074    17.504     0.200
   244.074    17.507     0.200
   244.461    17.753     0.200
   254.918    18.505     0.200
   254.246    18.510     0.200
   257.555    18.770     0.200
   260.930    18.959     0.200
   261.684    19.085     0.200
   264.047    19.317     0.200
   271.391    19.910     0.200
   276.688    20.309     0.200
   276.605    20.395     0.200
   276.551    20.439     0.200
   277.559    20.459     0.200
   278.137    20.532     0.200
   278.773    20.572     0.200
   279.793    20.577     0.200
   279.117    20.607     0.200
   280.262    20.752     0.200
   280.996    20.769     0.200
   281.148    20.775     0.200
   281.715    20.786     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
    31.395     1.016     0.200
   250.203    10.142     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
