#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20110831.0730.04.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20110831.0730.04              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     4.691     0.100
     5.590     0.200
     6.793     0.300
     8.125     0.400
     9.505     0.500
    10.903     0.600
    12.310     0.700
    13.721     0.800
    15.135     0.900
    16.550     1.000
    17.966     1.100
    19.383     1.200
    20.801     1.300
    22.219     1.400
    23.637     1.500
    25.056     1.600
    26.474     1.700
    27.893     1.800
    29.312     1.900
    30.732     2.000
    32.151     2.100
    33.570     2.200
    34.989     2.300
    36.409     2.400
    37.828     2.500
    39.248     2.600
    40.667     2.700
    42.087     2.800
    43.506     2.900
    44.925     3.000
    46.344     3.100
    47.763     3.200
    49.183     3.300
    50.602     3.400
    52.021     3.500
    53.440     3.600
    54.859     3.700
    56.279     3.800
    57.698     3.900
    59.117     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.440     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     8.132     0.100
     9.691     0.200
    11.781     0.300
    14.098     0.400
    16.499     0.500
    18.933     0.600
    21.381     0.700
    23.838     0.800
    26.298     0.900
    28.762     1.000
    31.228     1.100
    33.695     1.200
    36.163     1.300
    38.631     1.400
    41.101     1.500
    43.570     1.600
    46.040     1.700
    48.510     1.800
    50.980     1.900
    53.451     2.000
    55.921     2.100
    58.392     2.200
    60.862     2.300
    63.333     2.400
    65.804     2.500
    68.275     2.600
    70.746     2.700
    73.216     2.800
    75.686     2.900
    78.157     3.000
    80.627     3.100
    83.098     3.200
    85.568     3.300
    88.039     3.400
    90.509     3.500
    92.979     3.600
    95.450     3.700
    97.920     3.800
   100.391     3.900
   102.861     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    90.979     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
    12.654     0.707     0.200
    17.775     1.086     0.200
    19.795     1.133     0.200
    21.084     1.314     0.200
    23.955     1.569     0.200
    25.615     1.610     0.200
    29.625     1.934     0.200
    30.195     1.979     0.200
    90.455     5.948     0.200
   120.225     8.520     0.200
   124.176     8.887     0.200
   128.795     8.919     0.200
   133.234     9.229     0.200
   130.096     9.310     0.200
   150.465    10.637     0.200
   151.064    10.853     0.200
   164.256    11.644     0.200
   167.965    11.893     0.200
   172.584    12.331     0.200
   183.914    13.001     0.200
   187.186    13.001     0.200
   194.855    13.497     0.200
   194.936    13.909     0.200
   203.385    14.348     0.200
   204.965    14.423     0.200
   215.975    15.356     0.200
   219.832    15.646     0.200
   219.309    15.816     0.200
   220.258    15.950     0.200
   220.699    15.957     0.200
   226.135    16.194     0.200
   223.887    16.187     0.200
   224.498    16.248     0.200
   234.584    16.955     0.200
   236.119    17.178     0.200
   239.574    17.477     0.200
   246.789    17.868     0.200
   246.707    17.918     0.200
   252.549    18.321     0.200
   254.895    18.420     0.200
   257.865    18.420     0.200
   254.494    18.436     0.200
   257.035    18.561     0.200
   258.869    18.812     0.200
   271.064    19.835     0.200
   270.867    19.848     0.200
   273.865    20.021     0.200
   275.805    20.047     0.200
   274.322    20.170     0.200
   276.953    20.313     0.200
   277.547    20.395     0.200
   277.744    20.446     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
    35.516     1.086     0.200
    36.635     1.314     0.200
   450.170    18.420     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
