#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20131221.1537.10.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20131221.1537.10              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     4.145     0.100
     5.235     0.200
     6.595     0.300
     8.006     0.400
     9.423     0.500
    10.842     0.600
    12.261     0.700
    13.681     0.800
    15.102     0.900
    16.522     1.000
    17.943     1.100
    19.363     1.200
    20.784     1.300
    22.204     1.400
    23.625     1.500
    25.045     1.600
    26.466     1.700
    27.886     1.800
    29.307     1.900
    30.727     2.000
    32.147     2.100
    33.568     2.200
    34.988     2.300
    36.409     2.400
    37.829     2.500
    39.249     2.600
    40.670     2.700
    42.090     2.800
    43.511     2.900
    44.931     3.000
    46.351     3.100
    47.772     3.200
    49.192     3.300
    50.612     3.400
    52.033     3.500
    53.453     3.600
    54.874     3.700
    56.294     3.800
    57.714     3.900
    59.134     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.453     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     7.180     0.100
     9.070     0.200
    11.434     0.300
    13.888     0.400
    16.355     0.500
    18.825     0.600
    21.297     0.700
    23.769     0.800
    26.242     0.900
    28.715     1.000
    31.188     1.100
    33.661     1.200
    36.135     1.300
    38.608     1.400
    41.081     1.500
    43.554     1.600
    46.027     1.700
    48.499     1.800
    50.972     1.900
    53.445     2.000
    55.918     2.100
    58.391     2.200
    60.864     2.300
    63.336     2.400
    65.809     2.500
    68.282     2.600
    70.755     2.700
    73.228     2.800
    75.701     2.900
    78.173     3.000
    80.646     3.100
    83.119     3.200
    85.592     3.300
    88.065     3.400
    90.537     3.500
    93.010     3.600
    95.482     3.700
    97.954     3.800
   100.425     3.900
   102.897     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    91.010     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
     5.223     0.187     0.200
    16.160     0.935     0.200
    17.312     1.062     0.200
    20.422     1.213     0.200
    21.949     1.330     0.200
    23.180     1.390     0.200
    23.430     1.407     0.200
    27.332     1.645     0.200
    45.641     3.067     0.200
    50.941     3.445     0.200
    96.551     6.622     0.200
   107.820     7.472     0.200
   117.891     8.120     0.200
   121.410     8.312     0.200
   123.539     8.671     0.200
   131.270     9.342     0.200
   139.062     9.748     0.200
   167.348    11.751     0.200
   172.742    11.969     0.200
   171.340    12.062     0.200
   178.371    12.447     0.200
   187.512    13.300     0.200
   208.410    14.891     0.200
   207.262    14.914     0.200
   207.730    15.107     0.200
   219.402    15.832     0.200
   220.051    15.958     0.200
   227.051    16.341     0.200
   227.812    16.597     0.200
   230.250    16.601     0.200
   234.371    16.837     0.200
   236.031    16.957     0.200
   239.750    17.503     0.200
   246.281    17.878     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
    42.520     1.407     0.200
    48.332     1.645     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
