#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20160322.0043.30.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20160322.0043.30              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     4.468     0.100
     5.433     0.200
     6.695     0.300
     8.063     0.400
     9.461     0.500
    10.870     0.600
    12.284     0.700
    13.699     0.800
    15.117     0.900
    16.534     1.000
    17.953     1.100
    19.372     1.200
    20.791     1.300
    22.210     1.400
    23.630     1.500
    25.049     1.600
    26.469     1.700
    27.889     1.800
    29.308     1.900
    30.728     2.000
    32.148     2.100
    33.568     2.200
    34.988     2.300
    36.408     2.400
    37.828     2.500
    39.247     2.600
    40.667     2.700
    42.087     2.800
    43.506     2.900
    44.926     3.000
    46.346     3.100
    47.765     3.200
    49.185     3.300
    50.605     3.400
    52.024     3.500
    53.444     3.600
    54.864     3.700
    56.283     3.800
    57.703     3.900
    59.123     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.444     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     7.742     0.100
     9.417     0.200
    11.610     0.300
    13.989     0.400
    16.423     0.500
    18.875     0.600
    21.336     0.700
    23.801     0.800
    26.267     0.900
    28.736     1.000
    31.205     1.100
    33.675     1.200
    36.146     1.300
    38.617     1.400
    41.088     1.500
    43.560     1.600
    46.031     1.700
    48.503     1.800
    50.974     1.900
    53.446     2.000
    55.918     2.100
    58.390     2.200
    60.861     2.300
    63.333     2.400
    65.804     2.500
    68.275     2.600
    70.747     2.700
    73.218     2.800
    75.689     2.900
    78.161     3.000
    80.632     3.100
    83.104     3.200
    85.575     3.300
    88.046     3.400
    90.518     3.500
    92.989     3.600
    95.460     3.700
    97.932     3.800
   100.403     3.900
   102.874     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    90.989     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
     9.386     0.457     0.200
    14.276     0.787     0.200
    14.886     0.808     0.200
    15.536     0.865     0.200
    26.596     1.563     0.200
    26.816     1.563     0.200
    29.906     1.945     0.200
    31.256     2.012     0.200
    41.466     2.639     0.200
    40.536     2.745     0.200
    43.826     2.830     0.200
    47.626     3.165     0.200
    48.836     3.165     0.200
    48.686     3.165     0.200
    48.886     3.222     0.200
    49.116     3.222     0.200
    51.136     3.594     0.200
    52.906     3.454     0.200
    59.156     3.954     0.200
    63.836     4.236     0.200
    66.116     4.475     0.200
    65.696     4.475     0.200
    65.986     4.475     0.200
    68.216     4.574     0.200
    73.396     5.163     0.200
    78.616     5.279     0.200
    90.746     6.234     0.200
   102.336     7.017     0.200
   118.836     8.134     0.200
   118.176     8.365     0.200
   118.916     8.428     0.200
   124.256     8.843     0.200
   125.616     8.867     0.200
   133.246     9.399     0.200
   136.146     9.622     0.200
   139.636     9.843     0.200
   149.631    10.448     0.200
   148.816    10.448     0.200
   150.846    10.542     0.200
   189.257    13.201     0.200
   188.396    13.201     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
    50.976     1.704     0.200
    52.406     1.945     0.200
    55.426     2.012     0.200
    57.396     2.260     0.200
    72.096     2.639     0.200
    74.006     2.830     0.200
   259.575    10.448     0.200
   328.086    13.201     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
