#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20200614.0752.52.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20200614.0752.52              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     4.468     0.100
     5.433     0.200
     6.695     0.300
     8.063     0.400
     9.461     0.500
    10.870     0.600
    12.284     0.700
    13.699     0.800
    15.117     0.900
    16.534     1.000
    17.953     1.100
    19.372     1.200
    20.791     1.300
    22.210     1.400
    23.630     1.500
    25.049     1.600
    26.469     1.700
    27.889     1.800
    29.308     1.900
    30.728     2.000
    32.148     2.100
    33.568     2.200
    34.988     2.300
    36.408     2.400
    37.828     2.500
    39.247     2.600
    40.667     2.700
    42.087     2.800
    43.506     2.900
    44.926     3.000
    46.346     3.100
    47.765     3.200
    49.185     3.300
    50.605     3.400
    52.024     3.500
    53.444     3.600
    54.864     3.700
    56.283     3.800
    57.703     3.900
    59.123     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.444     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     7.742     0.100
     9.417     0.200
    11.610     0.300
    13.989     0.400
    16.423     0.500
    18.875     0.600
    21.336     0.700
    23.801     0.800
    26.267     0.900
    28.736     1.000
    31.205     1.100
    33.675     1.200
    36.146     1.300
    38.617     1.400
    41.088     1.500
    43.560     1.600
    46.031     1.700
    48.503     1.800
    50.974     1.900
    53.446     2.000
    55.918     2.100
    58.390     2.200
    60.861     2.300
    63.333     2.400
    65.804     2.500
    68.275     2.600
    70.747     2.700
    73.218     2.800
    75.689     2.900
    78.161     3.000
    80.632     3.100
    83.104     3.200
    85.575     3.300
    88.046     3.400
    90.518     3.500
    92.989     3.600
    95.460     3.700
    97.932     3.800
   100.403     3.900
   102.874     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    90.989     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
     4.131     0.050     0.200
     4.371     0.081     0.200
     4.561     0.119     0.200
     7.090     0.281     0.200
    10.840     0.550     0.200
    14.670     0.763     0.200
    14.570     0.763     0.200
    14.859     0.763     0.200
    28.750     1.868     0.200
    28.984     1.884     0.200
    28.881     1.884     0.200
    29.461     1.947     0.200
    31.150     2.029     0.200
    32.281     2.107     0.200
    34.680     2.263     0.200
    36.330     2.365     0.200
    41.205     2.754     0.200
    43.381     2.826     0.200
    43.740     2.937     0.200
    45.051     3.031     0.200
    46.383     3.129     0.200
    46.701     3.129     0.200
    46.221     3.129     0.200
    47.340     3.210     0.200
    48.150     3.278     0.200
    48.041     3.278     0.200
    51.641     3.517     0.200
    59.299     3.946     0.200
    62.982     4.375     0.200
    63.141     4.375     0.200
    75.010     5.009     0.200
    74.910     5.038     0.200
    73.660     5.000     0.200
    75.281     5.123     0.200
    76.531     5.242     0.200
    76.381     5.242     0.200
    76.891     5.242     0.200
    82.211     5.517     0.200
    87.367     5.841     0.200
    86.490     6.070     0.200
    90.781     6.262     0.200
    90.553     6.262     0.200
    91.361     6.262     0.200
    94.740     6.552     0.200
    96.420     6.552     0.200
    96.621     6.552     0.200
    94.980     6.488     0.200
    94.828     6.488     0.200
   100.760     7.016     0.200
   108.191     7.489     0.200
   107.971     7.489     0.200
   112.180     7.861     0.200
   113.006     7.864     0.200
   119.480     8.317     0.200
   120.020     8.317     0.200
   128.600     8.883     0.200
   130.281     9.161     0.200
   130.090     9.161     0.200
   130.930     9.225     0.200
   135.451     9.525     0.200
   131.980     9.398     0.200
   137.410     9.663     0.200
   142.250    10.070     0.200
   146.680    10.163     0.200
   144.680    10.195     0.200
   148.930    10.294     0.200
   148.381    10.373     0.200
   148.881    10.376     0.200
   155.910    10.784     0.200
   153.680    10.830     0.200
   154.682    10.932     0.200
   157.490    11.101     0.200
   159.549    11.133     0.200
   160.080    11.133     0.200
   167.580    11.727     0.200
   170.781    11.975     0.200
   175.281    12.205     0.200
   181.480    12.670     0.200
   180.080    12.666     0.200
   185.680    12.891     0.200
   188.180    13.145     0.200
   190.631    13.395     0.200
   190.170    13.395     0.200
   192.131    13.518     0.200
   194.020    13.905     0.200
   204.281    14.435     0.200
   211.500    15.224     0.200
   241.330    17.477     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
     7.270     0.050     0.200
     7.621     0.081     0.200
    18.961     0.550     0.200
    48.951     1.868     0.200
    48.607     1.868     0.200
    49.762     1.884     0.200
    48.160     1.884     0.200
    48.631     1.947     0.200
    53.480     2.029     0.200
    61.170     2.365     0.200
    62.121     2.365     0.200
    61.990     2.365     0.200
    69.047     2.754     0.200
    67.230     2.754     0.200
    74.881     2.826     0.200
    74.275     2.937     0.200
    74.980     2.937     0.200
    78.520     3.031     0.200
    80.430     3.129     0.200
    83.631     3.278     0.200
    88.100     3.517     0.200
   109.631     4.375     0.200
   131.791     5.123     0.200
   191.131     7.489     0.200
   196.402     7.864     0.200
   249.475    10.070     0.200
   270.225    10.932     0.200
   334.305    13.395     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
