#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20200713.1402.04.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20200713.1402.04              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     4.043     0.100
     5.185     0.200
     6.579     0.300
     7.997     0.400
     9.417     0.500
    10.838     0.600
    12.258     0.700
    13.679     0.800
    15.100     0.900
    16.521     1.000
    17.942     1.100
    19.362     1.200
    20.783     1.300
    22.204     1.400
    23.624     1.500
    25.045     1.600
    26.466     1.700
    27.886     1.800
    29.307     1.900
    30.727     2.000
    32.148     2.100
    33.569     2.200
    34.989     2.300
    36.410     2.400
    37.831     2.500
    39.251     2.600
    40.672     2.700
    42.092     2.800
    43.513     2.900
    44.934     3.000
    46.354     3.100
    47.775     3.200
    49.196     3.300
    50.616     3.400
    52.037     3.500
    53.458     3.600
    54.878     3.700
    56.298     3.800
    57.718     3.900
    59.138     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.458     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     7.001     0.100
     8.981     0.200
    11.405     0.300
    13.873     0.400
    16.346     0.500
    18.819     0.600
    21.292     0.700
    23.766     0.800
    26.239     0.900
    28.713     1.000
    33.660     1.200
    36.134     1.300
    38.607     1.400
    41.080     1.500
    43.554     1.600
    46.027     1.700
    48.500     1.800
    50.973     1.900
    53.447     2.000
    55.920     2.100
    58.393     2.200
    60.867     2.300
    63.340     2.400
    65.813     2.500
    68.286     2.600
    70.760     2.700
    73.233     2.800
    75.706     2.900
    78.179     3.000
    80.653     3.100
    83.126     3.200
    85.599     3.300
    88.072     3.400
    90.545     3.500
    93.017     3.600
    95.489     3.700
    97.961     3.800
   100.432     3.900
   102.904     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    91.017     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
     4.840     0.153     0.200
     5.691     0.217     0.200
     5.641     0.218     0.200
    12.020     0.619     0.200
    14.402     0.755     0.200
    15.762     0.850     0.200
    17.012     0.911     0.200
    17.242     0.928     0.200
    31.820     2.083     0.200
    33.902     2.247     0.200
    38.652     2.562     0.200
    40.281     2.690     0.200
    41.082     2.752     0.200
    45.910     3.065     0.200
    45.793     3.065     0.200
    48.441     3.198     0.200
    50.691     3.453     0.200
    51.082     3.520     0.200
    52.340     3.563     0.200
    52.871     3.563     0.200
    57.262     3.647     0.200
    57.840     3.889     0.200
    67.781     4.546     0.200
    70.582     4.695     0.200
    71.070     4.695     0.200
    88.422     6.030     0.200
    90.602     6.153     0.200
    98.590     6.835     0.200
   102.422     7.066     0.200
   116.973     7.932     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
     8.391     0.153     0.200
     9.711     0.217     0.200
     9.453     0.218     0.200
     9.332     0.218     0.200
    20.742     0.619     0.200
    24.922     0.755     0.200
    27.852     0.850     0.200
    30.262     0.928     0.200
    54.902     2.083     0.200
    58.301     2.247     0.200
    66.402     2.562     0.200
    69.223     2.690     0.200
    70.281     2.752     0.200
    80.250     3.065     0.200
    85.043     3.198     0.200
    87.180     3.453     0.200
    88.930     3.520     0.200
    92.422     3.563     0.200
    97.371     3.647     0.200
   100.672     3.889     0.200
   117.613     4.546     0.200
   123.750     4.695     0.200
   159.473     6.030     0.200
   174.363     6.835     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
