#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20230922.0031.11.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20230922.0031.11              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     4.251     0.100
     5.295     0.200
     6.621     0.300
     8.019     0.400
     9.432     0.500
    10.848     0.600
    12.266     0.700
    13.685     0.800
    15.105     0.900
    16.525     1.000
    17.945     1.100
    19.365     1.200
    20.785     1.300
    22.205     1.400
    23.626     1.500
    25.046     1.600
    26.466     1.700
    27.887     1.800
    29.307     1.900
    30.727     2.000
    32.147     2.100
    33.567     2.200
    34.988     2.300
    36.408     2.400
    37.828     2.500
    39.248     2.600
    40.668     2.700
    42.088     2.800
    43.509     2.900
    44.929     3.000
    46.349     3.100
    47.769     3.200
    49.189     3.300
    50.609     3.400
    52.030     3.500
    53.450     3.600
    54.870     3.700
    56.290     3.800
    57.710     3.900
    59.130     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.450     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     7.364     0.100
     9.174     0.200
    11.479     0.300
    13.913     0.400
    16.371     0.500
    18.837     0.600
    21.306     0.700
    23.777     0.800
    26.248     0.900
    28.720     1.000
    31.192     1.100
    33.664     1.200
    36.136     1.300
    38.609     1.400
    41.082     1.500
    43.555     1.600
    46.027     1.700
    48.500     1.800
    50.972     1.900
    53.445     2.000
    55.917     2.100
    58.389     2.200
    60.862     2.300
    63.334     2.400
    65.806     2.500
    68.279     2.600
    70.751     2.700
    73.223     2.800
    75.696     2.900
    78.168     3.000
    80.640     3.100
    83.112     3.200
    85.585     3.300
    88.057     3.400
    90.529     3.500
    93.002     3.600
    95.474     3.700
    97.946     3.800
   100.418     3.900
   102.889     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    91.002     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
     3.990     0.048     0.200
     4.512     0.113     0.200
     4.608     0.118     0.200
    15.077     0.805     0.200
    29.087     1.909     0.200
    29.607     1.964     0.200
    30.947     2.023     0.200
    32.057     2.098     0.200
    40.937     2.735     0.200
    40.827     2.735     0.200
    43.307     2.828     0.200
    43.387     2.923     0.200
    46.667     3.105     0.200
    46.287     3.105     0.200
    47.097     3.105     0.200
    48.907     3.319     0.200
    52.627     3.560     0.200
    52.407     3.560     0.200
    63.907     4.418     0.200
    64.145     4.418     0.200
    73.937     4.969     0.200
    74.047     4.998     0.200
    74.707     5.075     0.200
    75.377     5.086     0.200
    74.807     5.081     0.200
    74.857     5.078     0.200
    72.087     5.135     0.200
    76.737     5.149     0.200
    76.287     5.149     0.200
    76.417     5.203     0.200
    75.767     5.203     0.200
    76.207     5.203     0.200
    77.547     5.268     0.200
    82.107     5.676     0.200
    82.707     5.569     0.200
    82.867     5.699     0.200
    82.627     5.699     0.200
    86.557     5.946     0.200
    93.017     6.453     0.200
    95.237     6.594     0.200
   108.107     7.528     0.200
   109.667     7.528     0.200
   108.647     7.528     0.200
   112.437     7.830     0.200
   112.224     7.830     0.200
   113.617     7.908     0.200
   112.737     7.908     0.200
   130.217     9.112     0.200
   129.747     9.120     0.200
   130.617     9.183     0.200
   133.907     9.205     0.200
   134.917     9.484     0.200
   135.147     9.504     0.200
   136.617     9.622     0.200
   138.297     9.665     0.200
   139.427     9.823     0.200
   142.047    10.029     0.200
   142.216    10.029     0.200
   141.651    10.029     0.200
   142.247    10.075     0.200
   143.577    10.088     0.200
   146.627    10.214     0.200
   146.777    10.313     0.200
   148.207    10.360     0.200
   150.357    10.597     0.200
   154.487    10.862     0.200
   154.126    10.899     0.200
   154.707    10.899     0.200
   154.857    10.899     0.200
   154.507    10.899     0.200
   156.985    10.883     0.200
   155.017    10.935     0.200
   154.807    10.935     0.200
   155.697    10.942     0.200
   158.517    11.161     0.200
   158.007    11.144     0.200
   158.114    11.144     0.200
   158.276    11.144     0.200
   158.417    11.144     0.200
   157.807    11.144     0.200
   160.367    11.155     0.200
   159.520    11.155     0.200
   159.051    11.155     0.200
   159.327    11.155     0.200
   181.007    12.819     0.200
   180.457    12.819     0.200
   195.797    13.935     0.200
   216.347    15.417     0.200
   215.947    15.417     0.200
   230.597    16.545     0.200
   238.367    17.225     0.200
   246.430    17.850     0.200
   147.307    10.151     0.200
   124.207     8.542     0.200
   156.607    10.833     0.200
   157.907    11.085     0.200
   164.207    11.439     0.200
   175.107    12.191     0.200
   115.007     7.958     0.200
   196.907    13.748     0.200
   185.207    12.875     0.200
   225.707    16.111     0.200
   189.067    13.376     0.200
   179.907    12.646     0.200
   133.107     9.260     0.200
   138.107     9.593     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
     6.973     0.048     0.200
     7.976     0.113     0.200
    48.807     1.909     0.200
    49.907     1.964     0.200
    53.407     2.023     0.200
    52.307     2.098     0.200
    68.557     2.735     0.200
    74.707     2.828     0.200
    80.807     3.105     0.200
    82.407     3.319     0.200
    84.808     3.319     0.200
    89.507     3.560     0.200
   130.857     5.028     0.200
   126.337     5.135     0.200
   135.007     5.203     0.200
   144.607     5.569     0.200
   196.243     7.830     0.200
   194.707     7.830     0.200
   250.094    10.029     0.200
   248.926    10.029     0.200
   269.226    10.899     0.200
   277.201    11.144     0.200
   334.632    13.376     0.200
   214.607     8.542     0.200
   198.807     7.958     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
