#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_tt5e_local_20240816.1301.38.ps
projection=-JX18/12
region=-R0/4.0/0/120
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya50f10+l'Travel Time (s)' -BWeSn+t'Local Distance jamaica2.22' -K > $psfile
# Event name
gmt pstext -: -R $projection -F+f12p,Helvetica-Bold,black+a0.+jBL -K -O << END >> $psfile
   110.000     0.200 Single event: 20240816.1301.38              
END
# Distance limit for hypocentroid
gmt psxy -: -R $projection -Wthick,black,- -O -K << END >> $psfile
 0.000    1.000
90.000    1.000
END
# Pn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     5.036     0.100
     5.850     0.200
     6.973     0.300
     8.250     0.400
     9.596     0.500
    10.973     0.600
    12.366     0.700
    13.767     0.800
    15.174     0.900
    16.583     1.000
    17.995     1.100
    19.409     1.200
    20.824     1.300
    22.239     1.400
    23.655     1.500
    25.072     1.600
    26.489     1.700
    27.906     1.800
    29.324     1.900
    30.742     2.000
    32.159     2.100
    33.578     2.200
    34.996     2.300
    36.414     2.400
    37.833     2.500
    39.251     2.600
    40.670     2.700
    42.088     2.800
    43.507     2.900
    44.926     3.000
    46.344     3.100
    47.763     3.200
    50.600     3.400
    52.019     3.500
    53.437     3.600
    54.856     3.700
    56.275     3.800
    57.693     3.900
    59.112     4.000
END
# Pn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    51.437     3.600 Pn
END
# Pb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Pg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Pg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# P_ TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    47.500     2.500
    49.400     2.600
    51.300     2.700
    53.200     2.800
    55.100     2.900
    57.000     3.000
    58.900     3.100
    60.800     3.200
    62.700     3.300
    64.600     3.400
    66.500     3.500
    68.400     3.600
    70.300     3.700
    72.200     3.800
    74.100     3.900
    76.000     4.000
END
# P_ label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
    70.400     3.600 P_
END
# Sn TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,green -K -O << END >> $psfile
     8.733     0.100
    10.146     0.200
    12.096     0.300
    14.316     0.400
    16.657     0.500
    19.054     0.600
    21.478     0.700
    23.918     0.800
    26.366     0.900
    28.820     1.000
    31.278     1.100
    33.739     1.200
    36.201     1.300
    38.665     1.400
    41.130     1.500
    43.596     1.600
    46.063     1.700
    48.530     1.800
    50.998     1.900
    53.466     2.000
    55.935     2.100
    58.403     2.200
    60.872     2.300
    63.341     2.400
    65.810     2.500
    68.279     2.600
    70.748     2.700
    73.218     2.800
    75.687     2.900
    78.156     3.000
    80.626     3.100
    83.095     3.200
    85.564     3.300
    88.033     3.400
    90.502     3.500
    92.971     3.600
    95.440     3.700
    97.909     3.800
   100.378     3.900
   102.847     4.000
END
# Sn label
gmt pstext -: -R $projection -F+f10p,Helvetica,green+a0.+jTL -K -O << END >> $psfile
    90.971     3.600 Sn
END
# Sb TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,blue -K -O -Ve << END >> $psfile
END
# Sg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,red -K -O << END >> $psfile
END
# Sg label
gmt pstext -: -R $projection -F+f10p,Helvetica,red+a0.+jTL -K -O << END >> $psfile
END
# Lg TT curve at hypocentroid depth
gmt psxy -: -R $projection -Wthick,cyan -K -O << END >> $psfile
    78.750     2.500
    81.900     2.600
    85.050     2.700
    88.200     2.800
    91.350     2.900
    94.500     3.000
    97.650     3.100
   100.800     3.200
   103.950     3.300
   107.100     3.400
   110.250     3.500
   113.400     3.600
   116.550     3.700
   119.700     3.800
   122.850     3.900
   126.000     4.000
END
# Lg label
gmt pstext -: -R $projection -F+f10p,Helvetica,cyan+a0.+jBR -K -O << END >> $psfile
   115.400     3.600 Lg
END
# Phases other than the standard crustal phases
gmt psxy -: -R $projection -Sd -Wthin,orange -K -O << END >> $psfile
END
# Pn arrivals
gmt psxy -: -R $projection -Sx -Wthin,green -K -O << END >> $psfile
    12.430     0.687     0.200
    36.660     2.415     0.200
    36.547     2.415     0.200
    43.648     2.980     0.200
    46.418     3.188     0.200
    46.219     3.188     0.200
    73.777     5.009     0.200
    78.148     5.317     0.200
    78.027     5.317     0.200
    85.039     5.810     0.200
    91.629     6.326     0.200
    90.988     6.326     0.200
   107.090     7.430     0.200
   112.840     7.909     0.200
   113.457     8.025     0.200
   130.637     9.237     0.200
   131.559     9.301     0.200
   137.098     9.601     0.200
   137.977     9.739     0.200
   141.668     9.940     0.200
   143.848    10.146     0.200
   144.406    10.146     0.200
   152.738    10.733     0.200
   152.418    10.806     0.200
   154.699    10.828     0.200
   153.270    10.888     0.200
   155.355    10.974     0.200
   158.316    11.078     0.200
   182.117    12.937     0.200
   183.719    13.072     0.200
   201.164    14.206     0.200
   207.910    14.734     0.200
   213.090    15.159     0.200
END
# Pb arrivals
gmt psxy -: -R $projection -Sx -Wthin,blue -K -O << END >> $psfile
END
# P_ arrivals
gmt psxy -: -R $projection -Sx -Wthin,cyan -K -O << END >> $psfile
END
# Pg arrivals
gmt psxy -: -R $projection -Sx -Wthin,red -K -O << END >> $psfile
END
# Sn arrivals
gmt psxy -: -R $projection -Sc -Wthin,green -K -O << END >> $psfile
    63.219     2.415     0.200
   251.605    10.146     0.200
END
# Sb arrivals
gmt psxy -: -R $projection -Sc -Wthin,blue -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# Lg arrivals
gmt psxy -: -R $projection -Sc -Wthin,cyan -K -O << END >> $psfile
END
# Sg arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -K -O << END >> $psfile
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
